<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../stylesheet.css">
<link rel="start" href="../../overview-summary.html">

<title>ZeroValue (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../../phpdoctor/tests/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../phpdoctor/tests/package-tree.html">Tree</a></li>
<li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../phpdoctor/tests/zerovalue.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Tests\ZeroValue</div>
<a href="../../source/tests/cases/data/testcase-zerovalue.php.html#line8" class="location">tests/cases/data/testcase-zerovalue.php at line 8</a>

<h1>Class ZeroValue</h1>

<pre class="tree"><strong>ZeroValue</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>ZeroValue</strong></p>

<div class="comment" id="overview_description"><p>class ZeroValue</p></div>

<hr>

<table id="summary_field">
<tr><th colspan="2">Constant Summary</th></tr>
<tr>
<td class="type">final static  str</td>
<td class="description"><p class="name"><a href="#EMPTY_STRING">EMPTY_STRING</a></p></td>
</tr>
<tr>
<td class="type">final static  mixed</td>
<td class="description"><p class="name"><a href="#NULL_CONST">NULL_CONST</a></p></td>
</tr>
<tr>
<td class="type">final static  int</td>
<td class="description"><p class="name"><a href="#ONE">ONE</a></p></td>
</tr>
<tr>
<td class="type">final static  str</td>
<td class="description"><p class="name"><a href="#SOME_STRING">SOME_STRING</a></p></td>
</tr>
<tr>
<td class="type">final static  int</td>
<td class="description"><p class="name"><a href="#ZERO">ZERO</a></p></td>
</tr>
</table>

<table id="summary_field">
<tr><th colspan="2">Field Summary</th></tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#prop_emptystring">$prop_emptystring</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#prop_null">$prop_null</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#prop_one">$prop_one</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#prop_somestring">$prop_somestring</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#prop_undefined">$prop_undefined</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#prop_zero">$prop_zero</a></p></td>
</tr>
</table>

<h2 id="detail_field">Constant Detail</h2>
<a href="../../source/tests/cases/data/testcase-zerovalue.php.html#line13" class="location">tests/cases/data/testcase-zerovalue.php at line 13</a>

<h3 id="EMPTY_STRING">EMPTY_STRING</h3>
<code class="signature">public final static  str <strong>EMPTY_STRING</strong> = ''</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/data/testcase-zerovalue.php.html#line16" class="location">tests/cases/data/testcase-zerovalue.php at line 16</a>

<h3 id="NULL_CONST">NULL_CONST</h3>
<code class="signature">public final static  mixed <strong>NULL_CONST</strong> = null</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/data/testcase-zerovalue.php.html#line11" class="location">tests/cases/data/testcase-zerovalue.php at line 11</a>

<h3 id="ONE">ONE</h3>
<code class="signature">public final static  int <strong>ONE</strong> = 1</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/data/testcase-zerovalue.php.html#line14" class="location">tests/cases/data/testcase-zerovalue.php at line 14</a>

<h3 id="SOME_STRING">SOME_STRING</h3>
<code class="signature">public final static  str <strong>SOME_STRING</strong> = 'whatever const'</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/data/testcase-zerovalue.php.html#line10" class="location">tests/cases/data/testcase-zerovalue.php at line 10</a>

<h3 id="ZERO">ZERO</h3>
<code class="signature">public final static  int <strong>ZERO</strong> = 0</code>
<div class="details">
</div>

<hr>

<h2 id="detail_field">Field Detail</h2>
<a href="../../source/tests/cases/data/testcase-zerovalue.php.html#line21" class="location">tests/cases/data/testcase-zerovalue.php at line 21</a>

<h3 id="prop_emptystring">prop_emptystring</h3>
<code class="signature">public  mixed <strong>$prop_emptystring</strong> = ''</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/data/testcase-zerovalue.php.html#line24" class="location">tests/cases/data/testcase-zerovalue.php at line 24</a>

<h3 id="prop_null">prop_null</h3>
<code class="signature">public  mixed <strong>$prop_null</strong> = null</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/data/testcase-zerovalue.php.html#line19" class="location">tests/cases/data/testcase-zerovalue.php at line 19</a>

<h3 id="prop_one">prop_one</h3>
<code class="signature">public  mixed <strong>$prop_one</strong> = 1</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/data/testcase-zerovalue.php.html#line22" class="location">tests/cases/data/testcase-zerovalue.php at line 22</a>

<h3 id="prop_somestring">prop_somestring</h3>
<code class="signature">public  mixed <strong>$prop_somestring</strong> = 'whatever string'</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/data/testcase-zerovalue.php.html#line26" class="location">tests/cases/data/testcase-zerovalue.php at line 26</a>

<h3 id="prop_undefined">prop_undefined</h3>
<code class="signature">public  mixed <strong>$prop_undefined</strong></code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/data/testcase-zerovalue.php.html#line18" class="location">tests/cases/data/testcase-zerovalue.php at line 18</a>

<h3 id="prop_zero">prop_zero</h3>
<code class="signature">public  mixed <strong>$prop_zero</strong> = 0</code>
<div class="details">
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../../phpdoctor/tests/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../phpdoctor/tests/package-tree.html">Tree</a></li>
<li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../phpdoctor/tests/zerovalue.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>